 incdir "DevInc:"
 include "intuition/intuition.i"
 include "intuition/intuition_lib.i"
 include "exec/memory.i"
 include "exec/exec_lib.i"
 include "libraries/dos_lib.i"

 CODE

	MOVE.L		D0,D7
	MOVE.L		A0,A5
	MOVE.L		$04,A6
	MOVE.L		#IntuitionName,A1
	MOVE.L 		#33,D0
	JSR		_LVOOpenLibrary(A6)	; Open Intuition Library
	MOVE.L		D0,IBase

	MOVE.L		#DosName,A1
	MOVE.L 		#33,D0
	JSR		_LVOOpenLibrary(A6)	; Open Dos Library
	MOVE.L		D0,DosBase

	JSR		_LVOForbid(A6)
	MOVE.L		IBase,A1
	MOVE.W		#-204,A0
	MOVE.L		#Windowpatch,A4
	MOVE.L		A4,D0
	JSR		_LVOSetFunction(A6)	; Change offset to OpenWindow
	MOVE.L		D0,OldOpenWindow	; function.
	JSR		_LVOPermit(A6)

	MOVE.L		#Command,D1
	CLR.L		D2
	CLR.L		D3
	MOVE.L		DosBase,A6
	JSR		_LVOExecute(A6)		; Executes old 'LoadWB delay'
	MOVE.L		$04,A6
	JSR		_LVOForbid(A6)
	MOVE.L		IBase,A1
	MOVE.L		#-204,A0
	MOVE.L		OldOpenWindow,D0
	JSR		_LVOSetFunction(A6)	; Resets offset to OpenWindow
	JSR		_LVOPermit(A6)		; function 

	MOVE.L		DosBase,A1
	JSR		_LVOCloseLibrary(A6)	; Close Dos Library

	MOVE.L		IBase,A1
	JSR		_LVOCloseLibrary(A6)	; Close Intuition Library

	MOVE.L		#$0,D0

	RTS

Windowpatch:				; New Open Window Function
	MOVE.L		nw_Flags(A0),D0
	ORI.L		#WINDOWSIZING+WINDOWDRAG+WINDOWDEPTH,D0
	MOVE.L		#BORDERLESS+BACKDROP,D1
	NOT.L		D1
	AND.L		D1,D0 
	MOVE.L		D0,nw_Flags(A0)

	MOVE.L		OldOpenWindow,A1	
	JSR		(A1)
	RTS

    DATA

IntuitionName:		DC.B 	"intuition.library",0 
DosName:		DC.B	"dos.library",0
IBase:			DC.L	0
DosBase:		DC.L	0
OldOpenWindow:		DC.L	0 
Command:		DC.B    "C:LoadWB delay",0

